
function ET = Get_E_IE(P,A,E0,Fy)
    Py = A*Fy;
    if P > 0.85*Py
        ET = 0;
    elseif (P/Py) > 0.3333
        ET = E0 * (-7.38 * P / Py * log10(P / Py / 0.85));
    else
        ET = E0;
    end
    if ET < 0
        ET = 0;
    end
end